
<template>
  <el-card shadow="always" class="chart-card-container">
    <div slot="header">
      <span class="chart-title">系统效率</span>
    </div>
    <div style="height: 360px" id="xtxlChart"/>
  </el-card>
</template>

<style scoped lang="scss">
.chart-card-container{
  ::v-deep {
    .el-card__header{
      padding:14px;
      border-bottom: none;
      font-size: 12px;
      background: #F1F5FB ;
      .chart-title{
        font-weight: 500;
        color:#333333;
      }
      .el-button--text{
        color: #666666;
      }
    }
    .el-card__body{
      padding:0;
    }
  }
}
</style>
<script>
import * as echarts from 'echarts'
require('echarts/theme/macarons') // echarts theme
import resize from '@/mixins/ems/resize'

export default {
  mixins: [resize],
  data() {
    return {
      chart: null
    }
  },
  mounted() {
    this.$nextTick(() => {
      this.initChart()
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    initChart() {
      this.chart = echarts.init(document.querySelector('#xtxlChart'), 'macarons')
      this.setOptions()
    },
    setOptions() {
      this.chart.setOption({
        color:['#FFBE01'],
        legend: {
          left: 'center',
          bottom: '10',
        },
        tooltip: {
          trigger: 'axis',
          axisPointer: { // 坐标轴指示器，坐标轴触发有效
            type: 'shadow' // 默认为直线，可选为：'line' | 'shadow'
          }
        },
        textStyle:{
          color:"#333333",
        },
        xAxis: {
          data: ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月'],
          axisLine: {
            lineStyle:{
              color: '#333333',
            }
          }
        },
        yAxis: {
          type: 'value',
          axisLine: {
            lineStyle:{
              color: '#333333',
            }
          }
        },
        series: [
        {
          name:'系统效率',
          data: [80,92,1,34,90,130,320,80,9,91,34,90],
          type: 'line',
        }]
      })
    }
  }
}

</script>
